Bug 191425 - PCI: Failed to allocate mem resource #6:20000@d0000000 for 0000:02:00.0
PCI: Failed to allocate mem resource #6:20000@d0000000 for 0000:02:00.0
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-11 16:52 EDT by Andrew W. Buchanan
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 17:58:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
complete dmesg and lspci (10.43 KB, application/x-tgz)
2006-05-11 16:52 EDT, Andrew W. Buchanan
no flags Details
dmesg from 2.6.16-1.2111_FC5 kernel (39.29 KB, text/plain)
2006-05-15 14:44 EDT, Andrew W. Buchanan
no flags Details

  None (edit)
Description Andrew W. Buchanan 2006-05-11 16:52:33 EDT
Description of problem:

For every FC5 kernel to date, I have gotten the following error as the first 
thing that comes up on the screen during boot (aside from the penguins). I 
have been experiencing sever instability issues under SMP that causes it to 
randomly lock up, usually within minutes.

PCI: Failed to allocate mem resource #6:20000@d0000000 for 0000:02:00.0

En excerpt from lspci -v:
02:00.0 VGA compatible controller: nVidia Corporation GE Force Go 7800 GTX 
(rev a1) (prog-if 00 [VGA])
        Subsystem: CLEVO/KAPOK Computer Unknown device 0901
        Flags: bus master, fast devsel, latency 0, IRQ 22
        Memory at d1000000 (32-bit, non-prefetchable) [size=16M]
        Memory at c0000000 (64-bit, prefetchable) [size=256M]
        Memory at d0000000 (64-bit, non-prefetchable) [size=16M]
        I/O ports at 5000 [size=128]
        Capabilities: [60] Power Management version 2
        Capabilities: [68] Message Signalled Interrupts: 64bit+ Queue=0/0 
Enable-
        Capabilities: [78] Express Endpoint IRQ 0
        Capabilities: [100] Virtual Channel
        Capabilities: [128] Power Budgeting


Note that this error did not occur with FC4 to my recollection. SMP was 
certainly stable enough then. The error message definitely does NOT occur when 
booting from a KNOPPIX cd that runs 2.6.12.



Other notes:


Version-Release number of selected component (if applicable):

All FC5 releases through 2111

How reproducible:
Always occurs, but after random delay

Steps to Reproduce:
1.
2.
3.
  
Actual results:
UI stops responding to input and gkrellm shows the load increasing at a 45 
degree angle. CPU's look stuck at 0%.

Expected results:
Not crash

Additional info:
The hardware is a Sager 9750 laptop (also known as a Clevo D900K)

You may note that I'm currently booted into a Linuxant kernel that has 16K 
stacks. This is just because my wireless is more stable under it. The error 
I'm reporting occurs regardless of which kernel I'm in (i.e. don't get 
distracted by the Linuxant kernel, it's a red herring :)
Comment 1 Andrew W. Buchanan 2006-05-11 16:52:33 EDT
Created attachment 128915 [details]
complete dmesg and lspci
Comment 2 Andrew W. Buchanan 2006-05-15 14:44:13 EDT
Created attachment 129105 [details]
dmesg from 2.6.16-1.2111_FC5 kernel
Comment 3 Andrew W. Buchanan 2006-05-15 14:45:54 EDT
After further testing this weekend, I'm not sure that this error is related to 
the instability issue I mentioned. I'll open up a separate ticket for that. 
Here is a dmesg dump from running the 2.6.16-1.2111_FC5 kernel.

The only question I have on this now is whether this is an actual problem or 
not.
Comment 4 Dave Jones 2006-10-16 20:22:43 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Dave Jones 2006-11-24 17:58:41 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.